Skip to main content
PUT
/
networks
/
offers
/
{offerId}
Update Offer
curl --request PUT \
  --url https://api.eflow.team/v1/networks/offers/{offerId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "offer_status": "active",
  "redirect_mode": "standard",
  "conversion_method": "server_postback",
  "session_definition": "cookie",
  "network_advertiser_id": 13,
  "name": "My CPA Offer",
  "network_category_id": 1,
  "destination_url": "https://example.com/offer?tid={transaction_id}",
  "currency_id": "USD",
  "network_tracking_domain_id": 1,
  "visibility": "public",
  "payout_revenue": [
    {
      "payout_type": "cpa",
      "payout_amount": 2.5,
      "revenue_type": "rpa",
      "revenue_amount": 4,
      "is_default": true
    }
  ]
}
'
{
  "network_offer_id": 123,
  "network_id": 123,
  "network_advertiser_id": 123,
  "network_offer_group_id": 123,
  "name": "<string>",
  "offer_status": "active",
  "thumbnail_url": "<string>",
  "visibility": "public",
  "currency_id": "<string>",
  "destination_url": "<string>",
  "server_side_url": "<string>",
  "preview_url": "<string>",
  "html_description": "<string>",
  "internal_notes": "<string>",
  "network_category_id": 123,
  "project_id": "<string>",
  "date_live_until": "<string>",
  "conversion_method": "server_postback",
  "redirect_mode": "standard",
  "redirect_routing_method": "unknown",
  "session_definition": "cookie",
  "session_duration": 123,
  "attribution_method": "first_touch",
  "is_caps_enabled": true,
  "daily_conversion_cap": 123,
  "weekly_conversion_cap": 123,
  "monthly_conversion_cap": 123,
  "global_conversion_cap": 123,
  "daily_payout_cap": 123,
  "weekly_payout_cap": 123,
  "monthly_payout_cap": 123,
  "global_payout_cap": 123,
  "daily_revenue_cap": 123,
  "weekly_revenue_cap": 123,
  "monthly_revenue_cap": 123,
  "global_revenue_cap": 123,
  "daily_click_cap": 123,
  "weekly_click_cap": 123,
  "monthly_click_cap": 123,
  "global_click_cap": 123,
  "is_use_scrub_rate": true,
  "scrub_rate_percentage": 123,
  "is_duplicate_filter_enabled": true,
  "is_block_already_converted": true,
  "is_use_secure_link": true,
  "is_allow_deep_link": true,
  "is_session_tracking_enabled": true,
  "is_whitelist_check_enabled": true,
  "network_tracking_domain_id": 123,
  "caps_timezone_id": 123,
  "app_identifier": "<string>",
  "labels": [
    "<string>"
  ],
  "is_seo_friendly": true,
  "is_use_direct_linking": true,
  "is_view_through_enabled": true,
  "view_through_destination_url": "<string>",
  "session_tracking_lifespan_hour": 123,
  "session_tracking_minimum_lifespan_second": 123,
  "is_fail_traffic_enabled": true,
  "redirect_internal_routing_type": "priority",
  "is_using_suppression_list": true,
  "suppression_list_id": 123,
  "is_using_explicit_terms_and_conditions": true,
  "terms_and_conditions": "<string>",
  "is_force_terms_and_conditions": true,
  "is_must_approve_conversion": true,
  "is_allow_duplicate_conversion": true,
  "duplicate_filter_targeting_action": "unknown",
  "already_converted_action": "unknown",
  "scrub_rate_status": "rejected",
  "is_description_plain_text": true,
  "is_email_attribution_enabled": true,
  "email_attribution_method": "unknown",
  "is_email_attribution_window_enabled": true,
  "email_attribution_window_minute": 123,
  "email_attribution_window_type": "unknown",
  "is_view_through_session_tracking_enabled": true,
  "view_through_session_tracking_lifespan_minute": 123,
  "view_through_session_tracking_minimal_lifespan_second": 123,
  "session_tracking_start_on": "<string>",
  "encoded_value": "<string>",
  "payout_revenue": [
    {
      "network_offer_payout_revenue_id": 123,
      "entry_name": "<string>",
      "payout_type": "cpa",
      "payout_amount": 123,
      "payout_percentage": 123,
      "revenue_type": "rpa",
      "revenue_amount": 123,
      "revenue_percentage": 123,
      "is_default": true,
      "is_private": true,
      "is_postback_disabled": true,
      "is_enforce_caps": true,
      "is_must_approve_conversion": true,
      "is_allow_duplicate_conversion": true,
      "is_email_attribution_default_event": true,
      "remote_offer_resource": {
        "network_offer_id": 123,
        "network_id": 123,
        "resource_type": "<string>",
        "remote_resource_id": "<string>",
        "resource_id": 123,
        "last_value_md5": "<string>",
        "json_config": "<string>",
        "json_data": "<string>",
        "time_created": 1734455015,
        "time_saved": 1734455015
      }
    }
  ],
  "is_soft_cap": true,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "advertiser": {
      "network_advertiser_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>",
      "network_employee_id": 123,
      "internal_notes": "<string>",
      "address_id": 123,
      "is_contact_address_enabled": true,
      "sales_manager_id": 123,
      "is_expose_publisher_reporting_data": true,
      "default_currency_id": "<string>",
      "platform_name": "<string>",
      "platform_url": "<string>",
      "platform_username": "<string>",
      "reporting_timezone_id": 123,
      "accounting_contact_email": "<string>",
      "verification_token": "<string>",
      "offer_id_macro": "<string>",
      "affiliate_id_macro": "<string>",
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "attribution_method": "<string>",
      "email_attribution_method": "<string>",
      "attribution_priority": "<string>"
    },
    "category": {
      "network_category_id": 123,
      "network_id": 123,
      "name": "<string>",
      "status": "<string>",
      "time_created": 1734455015,
      "time_saved": 1734455015
    },
    "creatives": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "traffic_filters": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "labels": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "payout_revenue": {
      "total": 123,
      "entries": [
        {
          "network_offer_payout_revenue_id": 123,
          "network_id": 123,
          "network_offer_id": 123,
          "entry_name": "<string>",
          "payout_type": "<string>",
          "payout_amount": 123,
          "payout_percentage": 123,
          "revenue_type": "<string>",
          "revenue_amount": 123,
          "revenue_percentage": 123,
          "is_default": true,
          "is_private": true,
          "is_postback_disabled": true,
          "is_enforce_caps": true,
          "time_created": 1734455015,
          "global_advertiser_event_id": 123,
          "is_must_approve_conversion": true,
          "is_allow_duplicate_conversion": true,
          "is_email_attribution_default_event": true,
          "remote_offer_resource": {
            "network_offer_id": 123,
            "network_id": 123,
            "resource_type": "<string>",
            "remote_resource_id": "<string>",
            "resource_id": 123,
            "last_value_md5": "<string>",
            "json_config": "<string>",
            "json_data": "<string>",
            "time_created": 1734455015,
            "time_saved": 1734455015
          }
        }
      ]
    },
    "custom_cap_settings": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "custom_scrub_rate_settings": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "custom_payout_revenue_settings": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "reporting": {
      "imp": 123,
      "total_click": 123,
      "unique_click": 123,
      "invalid_click": 123,
      "duplicate_click": 123,
      "gross_click": 123,
      "ctr": 123,
      "cv": 123,
      "invalid_cv_scrub": 123,
      "view_through_cv": 123,
      "total_cv": 123,
      "event": 123,
      "cvr": 123,
      "evr": 123,
      "cpc": 123,
      "cpm": 123,
      "cpa": 123,
      "epc": 123,
      "rpc": 123,
      "rpa": 123,
      "rpm": 123,
      "payout": 123,
      "revenue": 123,
      "event_revenue": 123,
      "gross_sales": 123,
      "profit": 123,
      "margin": 123,
      "roas": 123,
      "avg_sale_value": 123,
      "media_buying_cost": 123,
      "on_hold_potential_revenue": 123,
      "on_hold_potential_payout": 123,
      "on_hold_conversion_count": 123,
      "public_events": 123
    },
    "audits": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "visibility": {
      "network_id": 123,
      "network_offer_id": 123,
      "network_affiliate_visible_ids": [
        123
      ],
      "network_affiliate_rejected_ids": [
        123
      ],
      "network_affiliate_hidden_ids": [
        123
      ]
    },
    "integrations": {
      "optizmo": {},
      "twentyfour_metrics": {},
      "offer_demand_partner": {},
      "forensiq": {},
      "ezepo": {},
      "anura": {},
      "invoca": {},
      "ip_quality_score": {},
      "unsubcentral": {},
      "ringba": {},
      "retreaver": {}
    },
    "ruleset": {
      "network_id": 123,
      "network_ruleset_id": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "platforms": [
        {}
      ],
      "device_types": [
        {}
      ],
      "os_versions": [
        {}
      ],
      "browsers": [
        {}
      ],
      "languages": [
        {}
      ],
      "countries": [
        {}
      ],
      "regions": [
        {}
      ],
      "cities": [
        {}
      ],
      "dmas": [
        {}
      ],
      "mobile_carriers": [
        {}
      ],
      "connection_types": [
        {}
      ],
      "ips": [
        {}
      ],
      "is_block_proxy": true,
      "is_use_day_parting": true,
      "day_parting_apply_to": "<string>",
      "day_parting_timezone_id": 123,
      "days_parting": [
        {}
      ],
      "isps": [
        {}
      ],
      "brands": [
        {}
      ],
      "postal_codes": [
        {}
      ]
    },
    "source_names": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "urls": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "encoded_value": "<string>",
    "remaining_caps": {
      "remaining_daily_payout_cap": 123,
      "remaining_daily_revenue_cap": 123,
      "remaining_daily_conversion_cap": 123,
      "remaining_daily_click_cap": 123,
      "remaining_weekly_payout_cap": 123,
      "remaining_weekly_revenue_cap": 123,
      "remaining_weekly_conversion_cap": 123,
      "remaining_weekly_click_cap": 123,
      "remaining_monthly_payout_cap": 123,
      "remaining_monthly_revenue_cap": 123,
      "remaining_monthly_conversion_cap": 123,
      "remaining_monthly_click_cap": 123,
      "remaining_global_payout_cap": 123,
      "remaining_global_revenue_cap": 123,
      "remaining_global_conversion_cap": 123,
      "remaining_global_click_cap": 123
    },
    "is_locked_currency": true,
    "custom_creative_settings": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "channels": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "is_locked_caps_timezone": true,
    "meta": {
      "network_offer_id": 123,
      "network_id": 123,
      "app_id": "<string>",
      "meta_platform": "<string>",
      "advertiser_campaign_name": "<string>",
      "bundle_id": "<string>",
      "category": "<string>",
      "store_url": "<string>",
      "score_rating": 123,
      "total_rating": 123,
      "size": 123,
      "developer": "<string>",
      "version": "<string>",
      "is_app_unavailable": true,
      "time_created": 1734455015,
      "time_app_data_saved": 1734455015,
      "time_saved": 1734455015
    },
    "requirement_kpis": {
      "total": 123,
      "entries": [
        {}
      ]
    },
    "requirement_tracking_parameters": {
      "total": 123,
      "entries": [
        {}
      ]
    }
  }
}
Update an existing offer. Omitted non-required fields revert to defaults. Use Bulk Edit for partial updates.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerId
integer
required

The unique offer ID.

Body

application/json
network_advertiser_id
integer
required

ID of the advertiser submitting the offer.

name
string
required

Offer name.

destination_url
string
required

URL of the final landing page associated with the offer, including additional macros if applicable.

currency_id
string
required

Currency used to compute payouts, costs, and revenues of the offer.

network_category_id
integer
required

Category ID.

offer_status
enum<string>
required

Offer status.

Available options:
active,
paused,
pending,
deleted
visibility
enum<string>
required

Visibility setting for affiliates. Can be public, require_approval, or private.

Available options:
public,
require_approval,
private
network_tracking_domain_id
integer
required

ID of the tracking domain hit by clicks belonging to the offer.

conversion_method
enum<string>
required

Method used by the advertiser to fire tracking data to Everflow. Deprecated values (http_image_pixel, https_image_pixel, cookie_based, http_iframe_pixel, https_iframe_pixel) are normalized to html_pixel_cookie_based.

Available options:
server_postback,
http_image_pixel,
https_image_pixel,
http_iframe_pixel,
https_iframe_pixel,
javascript,
cookie_based,
html_pixel_cookie_based
redirect_mode
enum<string>
required

Setting used to obscure referrer URLs from advertisers. Non-standard modes (single_meta_refresh, double_meta_refresh) are not recommended as they cause click drop-off.

Available options:
standard,
single_meta_refresh,
double_meta_refresh,
seo_friendly
session_definition
enum<string>
required

Method used for determining whether a click is unique.

Available options:
cookie,
ip,
ip_user_agent,
google_ad_id,
idfa
session_duration
integer
required

Duration (in hours) of the active session used to match a click to a conversion. Defaults to 24.

Whether tracking links use https:// instead of http://. Validate with your account manager that SSL is enabled before using.

Whether affiliates can send their traffic to target URLs by adding &url=[target URL] to their tracking links, instead of the offer's destination URL.

is_caps_enabled
boolean
required

Whether caps are enabled. When false, voids all types of caps and custom caps.

is_duplicate_filter_enabled
boolean
required

Whether duplicate clicks are filtered and acted upon, according to duplicate_filter_targeting_action.

duplicate_filter_targeting_action
enum<string>
required

Action to take when a duplicate click is detected. Ignored if is_duplicate_filter_enabled is false.

Available options:
unknown,
block,
fail_traffic
is_must_approve_conversion
boolean
required

Whether conversions must be manually approved before being finalized.

is_allow_duplicate_conversion
boolean
required

Whether duplicate conversions are allowed.

is_view_through_enabled
boolean
required

Whether conversions can be generated from impressions (as opposed to clicks only).

is_session_tracking_enabled
boolean
required

Whether affiliate's conversions and payouts get automatically blocked based on a minimum and maximum time from the click to the associated conversion.

is_fail_traffic_enabled
boolean
required

Whether invalid clicks will be redirected to another offer.

redirect_internal_routing_type
enum<string>
required

Redirect mechanism that determines how fail traffic is distributed between listed offers. Can be priority, weight, priority_global, or weight_global. Only relevant when is_fail_traffic_enabled is true.

Available options:
priority,
weight,
null_value,
priority_global,
weight_global
is_using_suppression_list
boolean
required

Whether an email suppression list is used for this offer.

is_using_explicit_terms_and_conditions
boolean
required

Whether the offer uses specific Terms and Conditions. When false, defaults to the network's general Terms and Conditions.

is_force_terms_and_conditions
boolean
required

Whether affiliates are required to accept the offer's specific Terms and Conditions.

payout_revenue
object[]
required
network_offer_group_id
integer

Associated offer group.

thumbnail_url
string

URL of the image thumbnail associated with the offer, visible to network employees and affiliates.

internal_notes
string

Notes on the offer for network employees. Not displayed to affiliates and advertisers.

server_side_url
string

Server-side URL that will be asynchronously fired by Everflow following a click.

preview_url
string

Landing page preview URL.

html_description
string

Description of the offer for the affiliates. HTML code is accepted.

is_description_plain_text
boolean

Whether the description of the offer should be interpreted as plain text (true) or HTML (false).

project_id
string

ID for the advertiser campaign or an Insertion Order.

date_live_until
string

Date until when the offer can be run. Events occurring past the end of the day at the timezone of the network will be rejected. Format: YYYY-MM-DD.

app_identifier
string

Bundle ID for iOS / Android apps.

labels
string[]

Labels used for organizing offers by private internal keywords.

caps_timezone_id
integer

ID of the timezone used for the caps if it differs from the network's default.

redirect_routing_method
enum<string>
Available options:
unknown,
internal,
null_value
attribution_method
enum<string>
Available options:
first_touch,
last_touch
is_soft_cap
boolean

Whether soft caps are enabled for this offer.

is_seo_friendly
boolean
is_whitelist_check_enabled
boolean

Whether a check is made to ensure conversion postbacks originate from the advertiser.

is_use_direct_linking
boolean

Whether Direct Linking is enabled for this offer.

daily_conversion_cap
integer

Maximum number of unique conversions per day.

weekly_conversion_cap
integer

Maximum conversions per week (Monday midnight to Sunday 23:59:59).

monthly_conversion_cap
integer

Maximum conversions per month.

global_conversion_cap
integer

Maximum total conversions for this offer.

daily_payout_cap
integer
weekly_payout_cap
integer
monthly_payout_cap
integer
global_payout_cap
integer
daily_revenue_cap
integer
weekly_revenue_cap
integer
monthly_revenue_cap
integer
global_revenue_cap
integer
daily_click_cap
integer
weekly_click_cap
integer
monthly_click_cap
integer
global_click_cap
integer
is_block_already_converted
boolean

Whether clicks from users who have already converted on this offer are acted upon per already_converted_action.

already_converted_action
enum<string>

Action to take for clicks from already-converted users. Ignored if is_block_already_converted is false.

Available options:
unknown,
block,
fail_traffic
is_use_scrub_rate
boolean

Whether a predefined percentage of conversions get automatically throttled (scrubbed). Only relevant if is_must_approve_conversion is true. This mechanism prevents an excessive number of conversions from being approved.

scrub_rate_status
enum<string>

Status to apply to conversions affected by throttling. Required only if is_use_scrub_rate is true. Can be either rejected or pending.

Available options:
rejected,
pending
scrub_rate_percentage
integer

Percentage of conversions to automatically throttle. Only relevant if is_use_scrub_rate is true.

view_through_destination_url
string

URL of the final landing page when redirected from an impression, including additional macros if applicable. Only relevant if is_view_through_enabled is true.

session_tracking_lifespan_hour
integer

Maximum hours between click and valid conversion. Required if is_session_tracking_enabled is true.

session_tracking_minimum_lifespan_second
integer

Minimum seconds between click and valid conversion. Required if is_session_tracking_enabled is true.

suppression_list_id
integer

ID of the suppression list associated with the offer. Only relevant if is_using_suppression_list is true.

is_view_through_session_tracking_enabled
boolean

Whether affiliate's conversions and payouts get automatically blocked based on a minimum and maximum time from the impression to the associated conversion. Only relevant if is_view_through_enabled is true.

view_through_session_tracking_lifespan_minute
integer

Maximum interval of time (in minutes) between the impression event and a valid conversion or event. Required only if is_view_through_session_tracking_enabled is true.

view_through_session_tracking_minimal_lifespan_second
integer

Minimum seconds between impression and valid conversion. Only relevant if is_view_through_session_tracking_enabled is true.

is_email_attribution_enabled
boolean

Whether email attribution is enabled for this offer.

email_attribution_method
enum<string>

Method used for email attribution.

Available options:
unknown,
first_affiliate_attribution,
last_affiliate_attribution
is_email_attribution_window_enabled
boolean

Whether the email attribution window is enabled.

email_attribution_window_minute
integer

Duration (in minutes) of the email attribution window.

email_attribution_window_type
enum<string>

Type of email attribution window.

Available options:
unknown,
static,
dynamic
terms_and_conditions
string

Text listing the specific Terms and Conditions of the offer. Required only if is_using_explicit_terms_and_conditions is true.

email
object

Email compliance settings (approved subject and from lines).

email_optout
object

Email opt-out settings (suppression file and unsubscribe link).

source_names
string[]

Pre-approved source names for this offer.

thumbnail_file
object

Offer thumbnail image. Upload the file first via the Upload Temp File endpoint, then pass the temp_url and original_file_name here.

meta
object

Metadata fields for the offer.

channels
object[]

Channels this offer belongs to.

integrations
object

Third-party integration settings. Each integration has its own configuration object.

ruleset
object

Targeting ruleset for this offer. Contains nested arrays for geographic, device, browser, and connection-type targeting. Each targeting entry includes an ID, targeting_type (include or exclude), and match_type. Sub-objects include: platforms, device_types, os_versions, brands, browsers, languages, countries, regions, cities, dmas, mobile_carriers, isps, connection_types, ips, postal_codes. Also supports day parting via is_use_day_parting, day_parting_apply_to, day_parting_timezone_id, and days_parting array.

traffic_filters
object[]

Traffic control filters for this offer. Each filter specifies a URL parameter to match against.

internal_redirects
object[]

Fail traffic redirect configuration. Determines where invalid clicks are sent when is_fail_traffic_enabled is true.

creatives
object[]

Creatives to create alongside the offer. Each creative requires a name, type, and type-specific fields. This allows creating an offer and its creatives in a single API call.

requirement_kpis
object[]

KPI requirements for this offer.

requirement_tracking_parameters
object[]

Required tracking parameters for this offer.

Response

200 - application/json
network_offer_id
integer

Unique offer ID.

network_id
integer
network_advertiser_id
integer

Advertiser that owns this offer.

network_offer_group_id
integer

Offer group ID.

name
string

Offer name.

offer_status
enum<string>
Available options:
active,
paused,
pending,
deleted
thumbnail_url
string
visibility
enum<string>
Available options:
public,
require_approval,
private
currency_id
string
destination_url
string

Destination URL for the offer.

server_side_url
string

Server-side postback URL.

preview_url
string
html_description
string

HTML description of the offer.

internal_notes
string

Internal notes (not visible to affiliates).

network_category_id
integer
project_id
string
date_live_until
string

Offer expiration date (YYYY-MM-DD).

conversion_method
enum<string>
Available options:
server_postback,
http_image_pixel,
https_image_pixel,
http_iframe_pixel,
https_iframe_pixel,
javascript,
cookie_based,
html_pixel_cookie_based
redirect_mode
enum<string>

Setting used to obscure referrer URLs from advertisers. Non-standard modes (single_meta_refresh, double_meta_refresh) are not recommended as they cause click drop-off.

Available options:
standard,
single_meta_refresh,
double_meta_refresh,
seo_friendly
redirect_routing_method
enum<string>
Available options:
unknown,
internal,
null_value
session_definition
enum<string>

Method used for determining whether a click is unique.

Available options:
cookie,
ip,
ip_user_agent,
google_ad_id,
idfa
session_duration
integer

Session duration in hours.

attribution_method
enum<string>
Available options:
first_touch,
last_touch
is_caps_enabled
boolean
daily_conversion_cap
integer
weekly_conversion_cap
integer
monthly_conversion_cap
integer
global_conversion_cap
integer
daily_payout_cap
integer
weekly_payout_cap
integer
monthly_payout_cap
integer
global_payout_cap
integer
daily_revenue_cap
integer
weekly_revenue_cap
integer
monthly_revenue_cap
integer
global_revenue_cap
integer
daily_click_cap
integer
weekly_click_cap
integer
monthly_click_cap
integer
global_click_cap
integer
is_use_scrub_rate
boolean
scrub_rate_percentage
integer
is_duplicate_filter_enabled
boolean
is_block_already_converted
boolean
is_session_tracking_enabled
boolean
is_whitelist_check_enabled
boolean
network_tracking_domain_id
integer
caps_timezone_id
integer
app_identifier
string
labels
string[]
is_seo_friendly
boolean
is_use_direct_linking
boolean
is_view_through_enabled
boolean
view_through_destination_url
string
session_tracking_lifespan_hour
integer
session_tracking_minimum_lifespan_second
integer
is_fail_traffic_enabled
boolean
redirect_internal_routing_type
enum<string>
Available options:
priority,
weight,
null_value,
priority_global,
weight_global
is_using_suppression_list
boolean
suppression_list_id
integer
is_using_explicit_terms_and_conditions
boolean
terms_and_conditions
string
is_force_terms_and_conditions
boolean
is_must_approve_conversion
boolean
is_allow_duplicate_conversion
boolean
duplicate_filter_targeting_action
enum<string>
Available options:
unknown,
block,
fail_traffic
already_converted_action
enum<string>
Available options:
unknown,
block,
fail_traffic
scrub_rate_status
enum<string>
Available options:
rejected,
pending
is_description_plain_text
boolean
is_email_attribution_enabled
boolean
email_attribution_method
enum<string>
Available options:
unknown,
first_affiliate_attribution,
last_affiliate_attribution
is_email_attribution_window_enabled
boolean
email_attribution_window_minute
integer
email_attribution_window_type
enum<string>
Available options:
unknown,
static,
dynamic
is_view_through_session_tracking_enabled
boolean
view_through_session_tracking_lifespan_minute
integer

Maximum minutes between impression and valid conversion.

view_through_session_tracking_minimal_lifespan_second
integer

Minimum seconds between impression and valid conversion.

session_tracking_start_on
string
encoded_value
string

Encoded offer ID for use in tracking links.

payout_revenue
object[]
is_soft_cap
boolean

Whether soft caps are enabled for this offer.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data returned with the offer.